!=========================================================================
! 二次元トレーサー移流モデル: パラメータモジュール
!
! 履歴	1997/11/17	小高正嗣
! 	1997/11/18	小高正嗣
! 
!=========================================================================
MODULE param_module

	INTEGER,PARAMETER :: dim  = 100		! 格子点数
!	INTEGER,PARAMETER :: dim  = 50		! 格子点数
	INTEGER,PARAMETER :: xdim = dim+1	! 変数次元1
	INTEGER,PARAMETER :: ydim = dim+1	! 変数次元2
	INTEGER,PARAMETER :: xdim0 = dim*3/4	! 初期値中心点1
	INTEGER,PARAMETER :: ydim0 = dim/2	! 初期値中心点2
						
	REAL,PARAMETER :: xmin = 0., xmax = 1.0	! 計算領域1
	REAL,PARAMETER :: ymin = 0., ymax = 1.0	! 計算領域2
	REAL,PARAMETER :: x0 = ( xmax - xmin )/2.	! 回転中心1
	REAL,PARAMETER :: y0 = ( ymax - ymin )/2.	! 回転中心2
	REAL,PARAMETER :: dx = ( xmax - xmin )/dim	! 格子間隔1
	REAL,PARAMETER :: dy = ( ymax - ymin )/dim	! 格子間隔2
	REAL,PARAMETER :: dt = 0.1		! 時間間隔
	REAL,PARAMETER :: omega = 0.1 		! 回転角速度

	REAL,PARAMETER :: amp = 4.0		! 初期値パラメータ1
	REAL,PARAMETER :: radi = 15.0		! 初期値パラメータ2
!	REAL,PARAMETER :: radi = 7.0		! 初期値パラメータ2
!	REAL,PARAMETER :: cx = 0.9		! FCT 用係数

END MODULE param_module
